Name:          gsbase
Version:       2.0.1
Release:       %mkrel 12
Group:         Development/Java
Summary:       A collection of java utility classes
# http://gsbase.sourceforge.net/license.html Apache style license
License:       ASL 2.0
Url:           https://sourceforge.net/projects/gsbase/
Source0:       https://downloads.sourceforge.net/gsbase/%{name}-%{version}.zip
Source1:       https://repo1.maven.org/maven2/%{name}/%{name}/%{version}/%{name}-%{version}.pom
# build fix for java7
Patch0:        %{name}-%{version}-jdk7.patch

BuildRequires: junit
BuildRequires: junitperf
BuildRequires: maven-local
BuildArch:     noarch

%description
A collection of classes that are helpful
when writing JUnit test cases. Classes
include things like a logging subsystem and
a complex layout manager.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find . -name '*.jar' -delete
find . -name '*.class' -delete
rm -r docs/*
%patch0 -p1

cp -pr %{SOURCE1} pom.xml

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-surefire-plugin']" "<version>2.14.2</version>"
# list.size expected:<2> but was:<0>
rm -r src/test/com/gargoylesoftware/base/resource/jdbc/WrapperTestCase.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/CallableStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ConnectionWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/DatabaseMetaDataWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/PreparedStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ResultSetWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/StatementWrapperTest.java
# Require Java awt subsystem
rm -r src/test/com/gargoylesoftware/base/gui/TableLayoutTest.java

%mvn_file :%{name} %{name}
 
%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 2.0.1-12.mga9
+ Revision: 1828971
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 2.0.1-11.mga8
+ Revision: 1489563
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.0.1-10.mga7
+ Revision: 1260927
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2.0.1-9.mga6
+ Revision: 982261
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 2.0.1-8.mga6
+ Revision: 980922
- First rebuild of the java stack
- sync package gsbase with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 2.0.1-7.mga5
+ Revision: 810643
- fix Group
- rebuild against current java-stack
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 27 2014 dmorgan <dmorgan> 2.0.1-4.mga5
+ Revision: 626952
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 508446
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 2.0.1-2.mga3
+ Revision: 361259
- Fix required java version
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 gil <gil> 2.0.1-1.mga2
+ Revision: 164944
- imported package gsbase

